Bug 620994 - crash on startup with unusual lvm2 setup
crash on startup with unusual lvm2 setup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 18:18 EDT by Frank Ch. Eigler
Modified: 2011-06-24 03:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-24 03:55:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2010-08-03 18:18:49 EDT
system-config-lvm-1.1.14-2.fc13.noarch

crashes on startup with an lvm2 configuration that the f13 kernel
accepts.  The complication is probably the mirror /dev/vg/sroot,
one of whose sides is internally striped.

Traceback (most recent call last):
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 172, in <module>
    runFullGUI()
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 157, in runFullGUI
    blvm = baselvm(glade_xml, app)
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 105, in __init__
    self.volume_tab_view = Volume_Tab_View(glade_xml, self.lvmm, self.main_win)
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 133, in __init__
    self.prepare_tree()
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 214, in prepare_tree
    self.model_factory.reload()
  File "/usr/share/system-config-lvm/lvm_model.py", line 171, in reload
    self.__link_mirrors()
  File "/usr/share/system-config-lvm/lvm_model.py", line 603, in __link_mirrors
    segment.add_image(image_lv_real)
  File "/usr/share/system-config-lvm/Segment.py", line 108, in add_image
    extent = seg.get_extent_block()
AttributeError: StripedSegment instance has no attribute 'get_extent_block'

lvs -a -o +devices
[sudo] password for fche: 
  LV               VG   Attr   LSize  Origin Snap%  Move Log        Copy%  Convert Devices                                                       
  family           vg   -wi-ao  1.71t                                              /dev/sde1(27999)                                              
  family           vg   -wi-ao  1.71t                                              /dev/sde1(1)                                                  
  home             vg   mwi-ao  1.56t                    home_mlog  100.00         home_mimage_0(0),home_mimage_1(0)                             
  [home_mimage_0]  vg   iwi-ao  1.56t                                              /dev/sdc1(0)                                                  
  [home_mimage_1]  vg   iwi-ao  1.56t                                              /dev/sdb1(0)                                                  
  [home_mlog]      vg   lwi-ao 64.00m                                              /dev/sde1(0)                                                  
  shome            vg   -wi-ao  1.56t                                              /dev/sdd1(256),/dev/sdg1(1056),/dev/sdi1(1280),/dev/sdh1(1280)
  sroot            vg   mwi-ao 64.00g                    sroot_mlog 100.00         sroot_mimage_0(0),sroot_mimage_1(0),sroot_mimage_2(0)         
  [sroot_mimage_0] vg   iwi-ao 64.00g                                              /dev/sdd1(0),/dev/sdi1(1024),/dev/sdh1(1024),/dev/sdc1(25600) 
  [sroot_mimage_1] vg   iwi-ao 64.00g                                              /dev/sdf1(28000)                                              
  [sroot_mimage_2] vg   iwi-ao 64.00g                                              /dev/sdg1(0)                                                  
  [sroot_mlog]     vg   lwi-ao 64.00m                                              /dev/sdb1(25600)                                              
  swap             vg   -wi-ao  2.00g                                              /dev/sdg1(1024)
Comment 1 Bug Zapper 2011-06-01 08:09:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Marek Grac 2011-06-24 03:55:32 EDT
@Frank:

Yours explanation is very likely to be correct. But s-c-lvm is now only in maintenance mode as it is being replaced by other tools.

Note You need to log in before you can comment on or make changes to this bug.